import com.nttdocomo.ui.Display;
import com.nttdocomo.ui.PhoneSystem;
import com.nttdocomo.ui.MApplication;

public final class App extends MApplication {

	public App() {
	}

	public void start() {
		for(int i = 0; i < 32; i++){
			PhoneSystem.setAttribute(PhoneSystem.DEV_KEYPAD, i);
		}
		Display.setCurrent(new GBCanvas());
	}

	public void processSystemEvent(final int type, final int param) {
		if (type == FOLD_CHANGED_EVENT) {
			switch (param) {
				case 1 :
					resume();
					break;
				default :
					deactivate();
					sleep();
					break;
			}
		}
	}
}